Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 15 Jan 2023 16:23:28 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order 9410127269  on Thursday and the item was supposed to be delivered on the same day, now, 4 days later, I still haven't received my item. Each time I get an sms that the delivery has failed although no one has even called me. I have spoken to 3 different customer service agents who each time promised me that I would receive my item and yet I still don't have it. I am very disappointed in your customer service and will not be ordering from you in the future again. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5590841